#ifndef _CONFIG_H_
#define _CONFIG_H_

#include "allegro.h"

#include "ControlConfig.h"
#include "GfxSoundConfig.h"
#include "HighScoreConfig.h"
#include "CreditConfig.h"
#include "GameSettings.h"

//controls all other config menus
//tells main when the game is ready
//sets up settings
//saves settings
//recolors all menus when graphicsConfig is done

class Config {
 public:
  Config ();

  int initialize (GameSettings *);
  int initGfx ();
  int configLoop ();

  ~Config ();

 protected:
  ControlConfig * cc;
  GfxSoundConfig * gsc;
  HighScoreConfig * hsc;
  CreditConfig * crc;

  GameSettings * gs;
};

#endif
